#ifndef FIXER_BUFFERTEST_HPP
#define FIXER_BUFFERTEST_HPP

#include <cppunit/extensions/HelperMacros.h>

class BufferTest : public CppUnit::TestFixture {
	
	CPPUNIT_TEST_SUITE(BufferTest);
	
	CPPUNIT_TEST(testRemoveNone);
	CPPUNIT_TEST(testRemoveFirst);
	CPPUNIT_TEST(testRemoveLast);
	CPPUNIT_TEST(testRemoveN);
	CPPUNIT_TEST(testRemoveAll);
	
	CPPUNIT_TEST(testInsertNone);
  CPPUNIT_TEST(testInsertFirst);
	CPPUNIT_TEST(testInsertLast);
	CPPUNIT_TEST(testInsertN);
	CPPUNIT_TEST(testInsertAll);
	
	CPPUNIT_TEST(testRearrangeNone);
	CPPUNIT_TEST(testRearrange1);
	CPPUNIT_TEST(testRearrangeN);
	CPPUNIT_TEST(testRearrangeAll);
	
	CPPUNIT_TEST_SUITE_END();
	
public:
	void setUp();
	void tearDown();
	
	void testRemoveNone();
	void testRemoveFirst();
	void testRemoveLast();
	void testRemoveN();
	void testRemoveAll();
	
	void testInsertNone();
  void testInsertFirst();
	void testInsertLast();
	void testInsertN();
	void testInsertAll();
	
	void testRearrangeNone();
	void testRearrange1();
	void testRearrangeN();
	void testRearrangeAll();
	
private:
	static const int d1[], d2[];//, d3[];
	static const int i1[], i2[], i3[], i4[], i5[];
	static const int r1[], r2[], r3[], r4[];
	
  int b1[100], b2[100]; //, b3[100];
};

#endif
